# std::polar(std::complex)

From cppreference.com
< cpp‎ | numeric‎ | complex

Defined in header `<complex>` |  |
template< class T > complex<T> polar( const T& r, const T& theta = 0 ); |  |

Returns a complex number with magnitude `r` and phase angle `theta`.

The behavior is undefined if `r` is negative or NaN, or if `theta` is infinite | (since C++17)

### Parameters

r | - | magnitude
theta | - | phase angle

### Return value

a complex number determined by `r` and `theta`

### See also

abs(std::complex) | returns the magnitude of a complex number (function template)
arg | returns the phase angle (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/complex/polar&oldid=78529"